Create conversational Agent
curl --request POST \
--url https://api.sigmamind.ai/v1/conversational-agents \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"agentName": "Auralis",
"startNodeName": "Welcome",
"agentSettings": {
"language": "en_US",
"aiStartsConversation": true,
"backgroundSound": "keyboard_typing",
"globalPrompt": "You are a professional virtual assistant. Always respond politely and keep answers concise.",
"remindersIntervalDuration": 15,
"remindersLimit": 3,
"endCallOnSilenceDuration": 30,
"maxCallDuration": 40,
"llmModel": "gpt-5.6-luna",
"llmTemperature": 0.5,
"llmTopP": 0.5,
"llmTopK": 40,
"voiceId": "elevenlabs_SGbOfpm28edC83pZ9iGb",
"voiceModelId": "eleven_turbo_v2_5",
"ttsSpeed": 0.7,
"ttsTemperature": 0.5,
"ttsVolume": 0.5,
"aiStartsSpeakingPlan": 0.5,
"aiStopsSpeakingPlan": 0.5,
"ivrHangup": true,
"agentTimezone": "Asia/Kolkata",
"autoVolumeNormalization": true,
"backgroundNoiseFilter": true,
"echoCancellation": true,
"enablePostConversationAnalysis": true,
"postConversationAnalysisLlmModel": "gpt-5.6-luna",
"postConversationAnalysis": [
{
"insightName": "conversation summary",
"insightInstructions": "<string>",
"dataType": "string",
"options": [
"Interested",
"Not Interested",
"Follow Up Later"
]
}
],
"webhooks": [
{
"name": "Call Events - Production",
"url": "https://yourapp.com/webhooks/sigmamind",
"events": [
"conversation_started",
"conversation_ended"
]
}
]
},
"nodes": [
{
"nodeType": "message",
"edge": {
"nextNodeId": "node_wcCIoGrJbw9AlXVk",
"nextNodeName": "get_customer_detail"
},
"parameters": {
"instructionsType": "static",
"instructions": "Hello! How can I help you today?",
"waitTillCompletion": false
},
"nodeName": "get_customer_detail"
}
]
}
'import requests
url = "https://api.sigmamind.ai/v1/conversational-agents"
payload = {
"agentName": "Auralis",
"startNodeName": "Welcome",
"agentSettings": {
"language": "en_US",
"aiStartsConversation": True,
"backgroundSound": "keyboard_typing",
"globalPrompt": "You are a professional virtual assistant. Always respond politely and keep answers concise.",
"remindersIntervalDuration": 15,
"remindersLimit": 3,
"endCallOnSilenceDuration": 30,
"maxCallDuration": 40,
"llmModel": "gpt-5.6-luna",
"llmTemperature": 0.5,
"llmTopP": 0.5,
"llmTopK": 40,
"voiceId": "elevenlabs_SGbOfpm28edC83pZ9iGb",
"voiceModelId": "eleven_turbo_v2_5",
"ttsSpeed": 0.7,
"ttsTemperature": 0.5,
"ttsVolume": 0.5,
"aiStartsSpeakingPlan": 0.5,
"aiStopsSpeakingPlan": 0.5,
"ivrHangup": True,
"agentTimezone": "Asia/Kolkata",
"autoVolumeNormalization": True,
"backgroundNoiseFilter": True,
"echoCancellation": True,
"enablePostConversationAnalysis": True,
"postConversationAnalysisLlmModel": "gpt-5.6-luna",
"postConversationAnalysis": [
{
"insightName": "conversation summary",
"insightInstructions": "<string>",
"dataType": "string",
"options": ["Interested", "Not Interested", "Follow Up Later"]
}
],
"webhooks": [
{
"name": "Call Events - Production",
"url": "https://yourapp.com/webhooks/sigmamind",
"events": ["conversation_started", "conversation_ended"]
}
]
},
"nodes": [
{
"nodeType": "message",
"edge": {
"nextNodeId": "node_wcCIoGrJbw9AlXVk",
"nextNodeName": "get_customer_detail"
},
"parameters": {
"instructionsType": "static",
"instructions": "Hello! How can I help you today?",
"waitTillCompletion": False
},
"nodeName": "get_customer_detail"
}
]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agentName: 'Auralis',
startNodeName: 'Welcome',
agentSettings: {
language: 'en_US',
aiStartsConversation: true,
backgroundSound: 'keyboard_typing',
globalPrompt: 'You are a professional virtual assistant. Always respond politely and keep answers concise.',
remindersIntervalDuration: 15,
remindersLimit: 3,
endCallOnSilenceDuration: 30,
maxCallDuration: 40,
llmModel: 'gpt-5.6-luna',
llmTemperature: 0.5,
llmTopP: 0.5,
llmTopK: 40,
voiceId: 'elevenlabs_SGbOfpm28edC83pZ9iGb',
voiceModelId: 'eleven_turbo_v2_5',
ttsSpeed: 0.7,
ttsTemperature: 0.5,
ttsVolume: 0.5,
aiStartsSpeakingPlan: 0.5,
aiStopsSpeakingPlan: 0.5,
ivrHangup: true,
agentTimezone: 'Asia/Kolkata',
autoVolumeNormalization: true,
backgroundNoiseFilter: true,
echoCancellation: true,
enablePostConversationAnalysis: true,
postConversationAnalysisLlmModel: 'gpt-5.6-luna',
postConversationAnalysis: [
{
insightName: 'conversation summary',
insightInstructions: '<string>',
dataType: 'string',
options: ['Interested', 'Not Interested', 'Follow Up Later']
}
],
webhooks: [
{
name: 'Call Events - Production',
url: 'https://yourapp.com/webhooks/sigmamind',
events: ['conversation_started', 'conversation_ended']
}
]
},
nodes: [
{
nodeType: 'message',
edge: {nextNodeId: 'node_wcCIoGrJbw9AlXVk', nextNodeName: 'get_customer_detail'},
parameters: {
instructionsType: 'static',
instructions: 'Hello! How can I help you today?',
waitTillCompletion: false
},
nodeName: 'get_customer_detail'
}
]
})
};
fetch('https://api.sigmamind.ai/v1/conversational-agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sigmamind.ai/v1/conversational-agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'agentName' => 'Auralis',
'startNodeName' => 'Welcome',
'agentSettings' => [
'language' => 'en_US',
'aiStartsConversation' => true,
'backgroundSound' => 'keyboard_typing',
'globalPrompt' => 'You are a professional virtual assistant. Always respond politely and keep answers concise.',
'remindersIntervalDuration' => 15,
'remindersLimit' => 3,
'endCallOnSilenceDuration' => 30,
'maxCallDuration' => 40,
'llmModel' => 'gpt-5.6-luna',
'llmTemperature' => 0.5,
'llmTopP' => 0.5,
'llmTopK' => 40,
'voiceId' => 'elevenlabs_SGbOfpm28edC83pZ9iGb',
'voiceModelId' => 'eleven_turbo_v2_5',
'ttsSpeed' => 0.7,
'ttsTemperature' => 0.5,
'ttsVolume' => 0.5,
'aiStartsSpeakingPlan' => 0.5,
'aiStopsSpeakingPlan' => 0.5,
'ivrHangup' => true,
'agentTimezone' => 'Asia/Kolkata',
'autoVolumeNormalization' => true,
'backgroundNoiseFilter' => true,
'echoCancellation' => true,
'enablePostConversationAnalysis' => true,
'postConversationAnalysisLlmModel' => 'gpt-5.6-luna',
'postConversationAnalysis' => [
[
'insightName' => 'conversation summary',
'insightInstructions' => '<string>',
'dataType' => 'string',
'options' => [
'Interested',
'Not Interested',
'Follow Up Later'
]
]
],
'webhooks' => [
[
'name' => 'Call Events - Production',
'url' => 'https://yourapp.com/webhooks/sigmamind',
'events' => [
'conversation_started',
'conversation_ended'
]
]
]
],
'nodes' => [
[
'nodeType' => 'message',
'edge' => [
'nextNodeId' => 'node_wcCIoGrJbw9AlXVk',
'nextNodeName' => 'get_customer_detail'
],
'parameters' => [
'instructionsType' => 'static',
'instructions' => 'Hello! How can I help you today?',
'waitTillCompletion' => false
],
'nodeName' => 'get_customer_detail'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sigmamind.ai/v1/conversational-agents"
payload := strings.NewReader("{\n \"agentName\": \"Auralis\",\n \"startNodeName\": \"Welcome\",\n \"agentSettings\": {\n \"language\": \"en_US\",\n \"aiStartsConversation\": true,\n \"backgroundSound\": \"keyboard_typing\",\n \"globalPrompt\": \"You are a professional virtual assistant. Always respond politely and keep answers concise.\",\n \"remindersIntervalDuration\": 15,\n \"remindersLimit\": 3,\n \"endCallOnSilenceDuration\": 30,\n \"maxCallDuration\": 40,\n \"llmModel\": \"gpt-5.6-luna\",\n \"llmTemperature\": 0.5,\n \"llmTopP\": 0.5,\n \"llmTopK\": 40,\n \"voiceId\": \"elevenlabs_SGbOfpm28edC83pZ9iGb\",\n \"voiceModelId\": \"eleven_turbo_v2_5\",\n \"ttsSpeed\": 0.7,\n \"ttsTemperature\": 0.5,\n \"ttsVolume\": 0.5,\n \"aiStartsSpeakingPlan\": 0.5,\n \"aiStopsSpeakingPlan\": 0.5,\n \"ivrHangup\": true,\n \"agentTimezone\": \"Asia/Kolkata\",\n \"autoVolumeNormalization\": true,\n \"backgroundNoiseFilter\": true,\n \"echoCancellation\": true,\n \"enablePostConversationAnalysis\": true,\n \"postConversationAnalysisLlmModel\": \"gpt-5.6-luna\",\n \"postConversationAnalysis\": [\n {\n \"insightName\": \"conversation summary\",\n \"insightInstructions\": \"<string>\",\n \"dataType\": \"string\",\n \"options\": [\n \"Interested\",\n \"Not Interested\",\n \"Follow Up Later\"\n ]\n }\n ],\n \"webhooks\": [\n {\n \"name\": \"Call Events - Production\",\n \"url\": \"https://yourapp.com/webhooks/sigmamind\",\n \"events\": [\n \"conversation_started\",\n \"conversation_ended\"\n ]\n }\n ]\n },\n \"nodes\": [\n {\n \"nodeType\": \"message\",\n \"edge\": {\n \"nextNodeId\": \"node_wcCIoGrJbw9AlXVk\",\n \"nextNodeName\": \"get_customer_detail\"\n },\n \"parameters\": {\n \"instructionsType\": \"static\",\n \"instructions\": \"Hello! How can I help you today?\",\n \"waitTillCompletion\": false\n },\n \"nodeName\": \"get_customer_detail\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sigmamind.ai/v1/conversational-agents")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"agentName\": \"Auralis\",\n \"startNodeName\": \"Welcome\",\n \"agentSettings\": {\n \"language\": \"en_US\",\n \"aiStartsConversation\": true,\n \"backgroundSound\": \"keyboard_typing\",\n \"globalPrompt\": \"You are a professional virtual assistant. Always respond politely and keep answers concise.\",\n \"remindersIntervalDuration\": 15,\n \"remindersLimit\": 3,\n \"endCallOnSilenceDuration\": 30,\n \"maxCallDuration\": 40,\n \"llmModel\": \"gpt-5.6-luna\",\n \"llmTemperature\": 0.5,\n \"llmTopP\": 0.5,\n \"llmTopK\": 40,\n \"voiceId\": \"elevenlabs_SGbOfpm28edC83pZ9iGb\",\n \"voiceModelId\": \"eleven_turbo_v2_5\",\n \"ttsSpeed\": 0.7,\n \"ttsTemperature\": 0.5,\n \"ttsVolume\": 0.5,\n \"aiStartsSpeakingPlan\": 0.5,\n \"aiStopsSpeakingPlan\": 0.5,\n \"ivrHangup\": true,\n \"agentTimezone\": \"Asia/Kolkata\",\n \"autoVolumeNormalization\": true,\n \"backgroundNoiseFilter\": true,\n \"echoCancellation\": true,\n \"enablePostConversationAnalysis\": true,\n \"postConversationAnalysisLlmModel\": \"gpt-5.6-luna\",\n \"postConversationAnalysis\": [\n {\n \"insightName\": \"conversation summary\",\n \"insightInstructions\": \"<string>\",\n \"dataType\": \"string\",\n \"options\": [\n \"Interested\",\n \"Not Interested\",\n \"Follow Up Later\"\n ]\n }\n ],\n \"webhooks\": [\n {\n \"name\": \"Call Events - Production\",\n \"url\": \"https://yourapp.com/webhooks/sigmamind\",\n \"events\": [\n \"conversation_started\",\n \"conversation_ended\"\n ]\n }\n ]\n },\n \"nodes\": [\n {\n \"nodeType\": \"message\",\n \"edge\": {\n \"nextNodeId\": \"node_wcCIoGrJbw9AlXVk\",\n \"nextNodeName\": \"get_customer_detail\"\n },\n \"parameters\": {\n \"instructionsType\": \"static\",\n \"instructions\": \"Hello! How can I help you today?\",\n \"waitTillCompletion\": false\n },\n \"nodeName\": \"get_customer_detail\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sigmamind.ai/v1/conversational-agents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"agentName\": \"Auralis\",\n \"startNodeName\": \"Welcome\",\n \"agentSettings\": {\n \"language\": \"en_US\",\n \"aiStartsConversation\": true,\n \"backgroundSound\": \"keyboard_typing\",\n \"globalPrompt\": \"You are a professional virtual assistant. Always respond politely and keep answers concise.\",\n \"remindersIntervalDuration\": 15,\n \"remindersLimit\": 3,\n \"endCallOnSilenceDuration\": 30,\n \"maxCallDuration\": 40,\n \"llmModel\": \"gpt-5.6-luna\",\n \"llmTemperature\": 0.5,\n \"llmTopP\": 0.5,\n \"llmTopK\": 40,\n \"voiceId\": \"elevenlabs_SGbOfpm28edC83pZ9iGb\",\n \"voiceModelId\": \"eleven_turbo_v2_5\",\n \"ttsSpeed\": 0.7,\n \"ttsTemperature\": 0.5,\n \"ttsVolume\": 0.5,\n \"aiStartsSpeakingPlan\": 0.5,\n \"aiStopsSpeakingPlan\": 0.5,\n \"ivrHangup\": true,\n \"agentTimezone\": \"Asia/Kolkata\",\n \"autoVolumeNormalization\": true,\n \"backgroundNoiseFilter\": true,\n \"echoCancellation\": true,\n \"enablePostConversationAnalysis\": true,\n \"postConversationAnalysisLlmModel\": \"gpt-5.6-luna\",\n \"postConversationAnalysis\": [\n {\n \"insightName\": \"conversation summary\",\n \"insightInstructions\": \"<string>\",\n \"dataType\": \"string\",\n \"options\": [\n \"Interested\",\n \"Not Interested\",\n \"Follow Up Later\"\n ]\n }\n ],\n \"webhooks\": [\n {\n \"name\": \"Call Events - Production\",\n \"url\": \"https://yourapp.com/webhooks/sigmamind\",\n \"events\": [\n \"conversation_started\",\n \"conversation_ended\"\n ]\n }\n ]\n },\n \"nodes\": [\n {\n \"nodeType\": \"message\",\n \"edge\": {\n \"nextNodeId\": \"node_wcCIoGrJbw9AlXVk\",\n \"nextNodeName\": \"get_customer_detail\"\n },\n \"parameters\": {\n \"instructionsType\": \"static\",\n \"instructions\": \"Hello! How can I help you today?\",\n \"waitTillCompletion\": false\n },\n \"nodeName\": \"get_customer_detail\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"agentId": "SPIlVscbB0kkXBvZ",
"agentName": "Auralis",
"startNodeName": "Welcome",
"startNodeId": "node_01HXYZ123",
"agentSettings": {
"language": "en_US",
"aiStartsConversation": true,
"backgroundSound": "keyboard_typing",
"globalPrompt": "You are a professional virtual assistant. Always respond politely and keep answers concise.",
"remindersIntervalDuration": 15,
"remindersLimit": 3,
"endCallOnSilenceDuration": 30,
"maxCallDuration": 40,
"llmModel": "gpt-4o-mini",
"llmTemperature": 0.5,
"llmTopP": 0.5,
"llmTopK": 40,
"voiceId": "elevenlabs_SGbOfpm28edC83pZ9iGb",
"voiceModelId": "eleven_turbo_v2_5",
"ttsSpeed": 0.7,
"ttsTemperature": 0.5,
"ttsVolume": 0.5,
"aiStartsSpeakingPlan": 0.5,
"aiStopsSpeakingPlan": 0.5,
"ivrHangup": true,
"agentTimezone": "Asia/Kolkata",
"autoVolumeNormalization": true,
"backgroundNoiseFilter": true,
"echoCancellation": true,
"enablePostConversationAnalysis": true,
"postConversationAnalysisLlmModel": "gpt-4o-mini",
"postConversationAnalysis": [
{
"insightName": "conversation summary",
"insightInstructions": "<string>",
"dataType": "string",
"options": [
"Interested",
"Not Interested",
"Follow Up Later"
]
}
],
"webhooks": [
{
"webhookId": "wh_BUbkx3PsbzQm5V10",
"name": "My Webhook",
"url": "https://example.com/webhook",
"secret": "mK9vXq2pL8nR5tY1wA3sD6fH0jC4bE7u",
"events": [
"<string>"
]
}
]
},
"nodes": [
{
"nodeId": "node_wcCIoGrJbw9AlXVk",
"nodeName": "get_customer_detail",
"nodeType": "message",
"edge": {
"nextNodeId": "node_wcCIoGrJbw9AlXVk",
"nextNodeName": "get_customer_detail"
},
"parameters": {
"instructionsType": "static",
"instructions": "Hello! How can I help you today?",
"waitTillCompletion": false
}
}
]
}{
"error": "Bad Request",
"message": "Invalid request parameters",
"path": "/v1/conversational-agents",
"status": 400,
"timestamp": "2026-09-28T16:34:43.436Z"
}{
"error": "Unauthorized",
"message": "X-API-Key is missing or invalid",
"path": "/v1/conversational-agents",
"status": 401,
"timestamp": "2026-09-28T16:34:43.436Z"
}{
"error": "Forbidden",
"message": "Access denied for this resource",
"path": "/v1/conversational-agents",
"status": 403,
"timestamp": "2026-09-28T16:34:43.436Z"
}{
"error": "Not Found",
"message": "The requested resource was not found",
"path": "/v1/conversational-agents",
"status": 404,
"timestamp": "2026-09-28T16:34:43.436Z"
}{
"error": "Internal Server Error",
"message": "Unexpected server error",
"path": "/v1/conversational-agents",
"status": 500,
"timestamp": "2026-09-28T16:34:43.436Z"
}Conversational Agents
Create conversational Agent
Creates a new conversational agent from the given nodes and agent settings. Every node is connected through the nodeName referenced by its edges, and the conversation starts at startNodeName, defaulting to the first node of the request. Returns the created agent including its agentId, which is required for all subsequent update, call, and simulation operations.
POST
/
v1
/
conversational-agents
Create conversational Agent
curl --request POST \
--url https://api.sigmamind.ai/v1/conversational-agents \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"agentName": "Auralis",
"startNodeName": "Welcome",
"agentSettings": {
"language": "en_US",
"aiStartsConversation": true,
"backgroundSound": "keyboard_typing",
"globalPrompt": "You are a professional virtual assistant. Always respond politely and keep answers concise.",
"remindersIntervalDuration": 15,
"remindersLimit": 3,
"endCallOnSilenceDuration": 30,
"maxCallDuration": 40,
"llmModel": "gpt-5.6-luna",
"llmTemperature": 0.5,
"llmTopP": 0.5,
"llmTopK": 40,
"voiceId": "elevenlabs_SGbOfpm28edC83pZ9iGb",
"voiceModelId": "eleven_turbo_v2_5",
"ttsSpeed": 0.7,
"ttsTemperature": 0.5,
"ttsVolume": 0.5,
"aiStartsSpeakingPlan": 0.5,
"aiStopsSpeakingPlan": 0.5,
"ivrHangup": true,
"agentTimezone": "Asia/Kolkata",
"autoVolumeNormalization": true,
"backgroundNoiseFilter": true,
"echoCancellation": true,
"enablePostConversationAnalysis": true,
"postConversationAnalysisLlmModel": "gpt-5.6-luna",
"postConversationAnalysis": [
{
"insightName": "conversation summary",
"insightInstructions": "<string>",
"dataType": "string",
"options": [
"Interested",
"Not Interested",
"Follow Up Later"
]
}
],
"webhooks": [
{
"name": "Call Events - Production",
"url": "https://yourapp.com/webhooks/sigmamind",
"events": [
"conversation_started",
"conversation_ended"
]
}
]
},
"nodes": [
{
"nodeType": "message",
"edge": {
"nextNodeId": "node_wcCIoGrJbw9AlXVk",
"nextNodeName": "get_customer_detail"
},
"parameters": {
"instructionsType": "static",
"instructions": "Hello! How can I help you today?",
"waitTillCompletion": false
},
"nodeName": "get_customer_detail"
}
]
}
'import requests
url = "https://api.sigmamind.ai/v1/conversational-agents"
payload = {
"agentName": "Auralis",
"startNodeName": "Welcome",
"agentSettings": {
"language": "en_US",
"aiStartsConversation": True,
"backgroundSound": "keyboard_typing",
"globalPrompt": "You are a professional virtual assistant. Always respond politely and keep answers concise.",
"remindersIntervalDuration": 15,
"remindersLimit": 3,
"endCallOnSilenceDuration": 30,
"maxCallDuration": 40,
"llmModel": "gpt-5.6-luna",
"llmTemperature": 0.5,
"llmTopP": 0.5,
"llmTopK": 40,
"voiceId": "elevenlabs_SGbOfpm28edC83pZ9iGb",
"voiceModelId": "eleven_turbo_v2_5",
"ttsSpeed": 0.7,
"ttsTemperature": 0.5,
"ttsVolume": 0.5,
"aiStartsSpeakingPlan": 0.5,
"aiStopsSpeakingPlan": 0.5,
"ivrHangup": True,
"agentTimezone": "Asia/Kolkata",
"autoVolumeNormalization": True,
"backgroundNoiseFilter": True,
"echoCancellation": True,
"enablePostConversationAnalysis": True,
"postConversationAnalysisLlmModel": "gpt-5.6-luna",
"postConversationAnalysis": [
{
"insightName": "conversation summary",
"insightInstructions": "<string>",
"dataType": "string",
"options": ["Interested", "Not Interested", "Follow Up Later"]
}
],
"webhooks": [
{
"name": "Call Events - Production",
"url": "https://yourapp.com/webhooks/sigmamind",
"events": ["conversation_started", "conversation_ended"]
}
]
},
"nodes": [
{
"nodeType": "message",
"edge": {
"nextNodeId": "node_wcCIoGrJbw9AlXVk",
"nextNodeName": "get_customer_detail"
},
"parameters": {
"instructionsType": "static",
"instructions": "Hello! How can I help you today?",
"waitTillCompletion": False
},
"nodeName": "get_customer_detail"
}
]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agentName: 'Auralis',
startNodeName: 'Welcome',
agentSettings: {
language: 'en_US',
aiStartsConversation: true,
backgroundSound: 'keyboard_typing',
globalPrompt: 'You are a professional virtual assistant. Always respond politely and keep answers concise.',
remindersIntervalDuration: 15,
remindersLimit: 3,
endCallOnSilenceDuration: 30,
maxCallDuration: 40,
llmModel: 'gpt-5.6-luna',
llmTemperature: 0.5,
llmTopP: 0.5,
llmTopK: 40,
voiceId: 'elevenlabs_SGbOfpm28edC83pZ9iGb',
voiceModelId: 'eleven_turbo_v2_5',
ttsSpeed: 0.7,
ttsTemperature: 0.5,
ttsVolume: 0.5,
aiStartsSpeakingPlan: 0.5,
aiStopsSpeakingPlan: 0.5,
ivrHangup: true,
agentTimezone: 'Asia/Kolkata',
autoVolumeNormalization: true,
backgroundNoiseFilter: true,
echoCancellation: true,
enablePostConversationAnalysis: true,
postConversationAnalysisLlmModel: 'gpt-5.6-luna',
postConversationAnalysis: [
{
insightName: 'conversation summary',
insightInstructions: '<string>',
dataType: 'string',
options: ['Interested', 'Not Interested', 'Follow Up Later']
}
],
webhooks: [
{
name: 'Call Events - Production',
url: 'https://yourapp.com/webhooks/sigmamind',
events: ['conversation_started', 'conversation_ended']
}
]
},
nodes: [
{
nodeType: 'message',
edge: {nextNodeId: 'node_wcCIoGrJbw9AlXVk', nextNodeName: 'get_customer_detail'},
parameters: {
instructionsType: 'static',
instructions: 'Hello! How can I help you today?',
waitTillCompletion: false
},
nodeName: 'get_customer_detail'
}
]
})
};
fetch('https://api.sigmamind.ai/v1/conversational-agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sigmamind.ai/v1/conversational-agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'agentName' => 'Auralis',
'startNodeName' => 'Welcome',
'agentSettings' => [
'language' => 'en_US',
'aiStartsConversation' => true,
'backgroundSound' => 'keyboard_typing',
'globalPrompt' => 'You are a professional virtual assistant. Always respond politely and keep answers concise.',
'remindersIntervalDuration' => 15,
'remindersLimit' => 3,
'endCallOnSilenceDuration' => 30,
'maxCallDuration' => 40,
'llmModel' => 'gpt-5.6-luna',
'llmTemperature' => 0.5,
'llmTopP' => 0.5,
'llmTopK' => 40,
'voiceId' => 'elevenlabs_SGbOfpm28edC83pZ9iGb',
'voiceModelId' => 'eleven_turbo_v2_5',
'ttsSpeed' => 0.7,
'ttsTemperature' => 0.5,
'ttsVolume' => 0.5,
'aiStartsSpeakingPlan' => 0.5,
'aiStopsSpeakingPlan' => 0.5,
'ivrHangup' => true,
'agentTimezone' => 'Asia/Kolkata',
'autoVolumeNormalization' => true,
'backgroundNoiseFilter' => true,
'echoCancellation' => true,
'enablePostConversationAnalysis' => true,
'postConversationAnalysisLlmModel' => 'gpt-5.6-luna',
'postConversationAnalysis' => [
[
'insightName' => 'conversation summary',
'insightInstructions' => '<string>',
'dataType' => 'string',
'options' => [
'Interested',
'Not Interested',
'Follow Up Later'
]
]
],
'webhooks' => [
[
'name' => 'Call Events - Production',
'url' => 'https://yourapp.com/webhooks/sigmamind',
'events' => [
'conversation_started',
'conversation_ended'
]
]
]
],
'nodes' => [
[
'nodeType' => 'message',
'edge' => [
'nextNodeId' => 'node_wcCIoGrJbw9AlXVk',
'nextNodeName' => 'get_customer_detail'
],
'parameters' => [
'instructionsType' => 'static',
'instructions' => 'Hello! How can I help you today?',
'waitTillCompletion' => false
],
'nodeName' => 'get_customer_detail'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sigmamind.ai/v1/conversational-agents"
payload := strings.NewReader("{\n \"agentName\": \"Auralis\",\n \"startNodeName\": \"Welcome\",\n \"agentSettings\": {\n \"language\": \"en_US\",\n \"aiStartsConversation\": true,\n \"backgroundSound\": \"keyboard_typing\",\n \"globalPrompt\": \"You are a professional virtual assistant. Always respond politely and keep answers concise.\",\n \"remindersIntervalDuration\": 15,\n \"remindersLimit\": 3,\n \"endCallOnSilenceDuration\": 30,\n \"maxCallDuration\": 40,\n \"llmModel\": \"gpt-5.6-luna\",\n \"llmTemperature\": 0.5,\n \"llmTopP\": 0.5,\n \"llmTopK\": 40,\n \"voiceId\": \"elevenlabs_SGbOfpm28edC83pZ9iGb\",\n \"voiceModelId\": \"eleven_turbo_v2_5\",\n \"ttsSpeed\": 0.7,\n \"ttsTemperature\": 0.5,\n \"ttsVolume\": 0.5,\n \"aiStartsSpeakingPlan\": 0.5,\n \"aiStopsSpeakingPlan\": 0.5,\n \"ivrHangup\": true,\n \"agentTimezone\": \"Asia/Kolkata\",\n \"autoVolumeNormalization\": true,\n \"backgroundNoiseFilter\": true,\n \"echoCancellation\": true,\n \"enablePostConversationAnalysis\": true,\n \"postConversationAnalysisLlmModel\": \"gpt-5.6-luna\",\n \"postConversationAnalysis\": [\n {\n \"insightName\": \"conversation summary\",\n \"insightInstructions\": \"<string>\",\n \"dataType\": \"string\",\n \"options\": [\n \"Interested\",\n \"Not Interested\",\n \"Follow Up Later\"\n ]\n }\n ],\n \"webhooks\": [\n {\n \"name\": \"Call Events - Production\",\n \"url\": \"https://yourapp.com/webhooks/sigmamind\",\n \"events\": [\n \"conversation_started\",\n \"conversation_ended\"\n ]\n }\n ]\n },\n \"nodes\": [\n {\n \"nodeType\": \"message\",\n \"edge\": {\n \"nextNodeId\": \"node_wcCIoGrJbw9AlXVk\",\n \"nextNodeName\": \"get_customer_detail\"\n },\n \"parameters\": {\n \"instructionsType\": \"static\",\n \"instructions\": \"Hello! How can I help you today?\",\n \"waitTillCompletion\": false\n },\n \"nodeName\": \"get_customer_detail\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sigmamind.ai/v1/conversational-agents")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"agentName\": \"Auralis\",\n \"startNodeName\": \"Welcome\",\n \"agentSettings\": {\n \"language\": \"en_US\",\n \"aiStartsConversation\": true,\n \"backgroundSound\": \"keyboard_typing\",\n \"globalPrompt\": \"You are a professional virtual assistant. Always respond politely and keep answers concise.\",\n \"remindersIntervalDuration\": 15,\n \"remindersLimit\": 3,\n \"endCallOnSilenceDuration\": 30,\n \"maxCallDuration\": 40,\n \"llmModel\": \"gpt-5.6-luna\",\n \"llmTemperature\": 0.5,\n \"llmTopP\": 0.5,\n \"llmTopK\": 40,\n \"voiceId\": \"elevenlabs_SGbOfpm28edC83pZ9iGb\",\n \"voiceModelId\": \"eleven_turbo_v2_5\",\n \"ttsSpeed\": 0.7,\n \"ttsTemperature\": 0.5,\n \"ttsVolume\": 0.5,\n \"aiStartsSpeakingPlan\": 0.5,\n \"aiStopsSpeakingPlan\": 0.5,\n \"ivrHangup\": true,\n \"agentTimezone\": \"Asia/Kolkata\",\n \"autoVolumeNormalization\": true,\n \"backgroundNoiseFilter\": true,\n \"echoCancellation\": true,\n \"enablePostConversationAnalysis\": true,\n \"postConversationAnalysisLlmModel\": \"gpt-5.6-luna\",\n \"postConversationAnalysis\": [\n {\n \"insightName\": \"conversation summary\",\n \"insightInstructions\": \"<string>\",\n \"dataType\": \"string\",\n \"options\": [\n \"Interested\",\n \"Not Interested\",\n \"Follow Up Later\"\n ]\n }\n ],\n \"webhooks\": [\n {\n \"name\": \"Call Events - Production\",\n \"url\": \"https://yourapp.com/webhooks/sigmamind\",\n \"events\": [\n \"conversation_started\",\n \"conversation_ended\"\n ]\n }\n ]\n },\n \"nodes\": [\n {\n \"nodeType\": \"message\",\n \"edge\": {\n \"nextNodeId\": \"node_wcCIoGrJbw9AlXVk\",\n \"nextNodeName\": \"get_customer_detail\"\n },\n \"parameters\": {\n \"instructionsType\": \"static\",\n \"instructions\": \"Hello! How can I help you today?\",\n \"waitTillCompletion\": false\n },\n \"nodeName\": \"get_customer_detail\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sigmamind.ai/v1/conversational-agents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"agentName\": \"Auralis\",\n \"startNodeName\": \"Welcome\",\n \"agentSettings\": {\n \"language\": \"en_US\",\n \"aiStartsConversation\": true,\n \"backgroundSound\": \"keyboard_typing\",\n \"globalPrompt\": \"You are a professional virtual assistant. Always respond politely and keep answers concise.\",\n \"remindersIntervalDuration\": 15,\n \"remindersLimit\": 3,\n \"endCallOnSilenceDuration\": 30,\n \"maxCallDuration\": 40,\n \"llmModel\": \"gpt-5.6-luna\",\n \"llmTemperature\": 0.5,\n \"llmTopP\": 0.5,\n \"llmTopK\": 40,\n \"voiceId\": \"elevenlabs_SGbOfpm28edC83pZ9iGb\",\n \"voiceModelId\": \"eleven_turbo_v2_5\",\n \"ttsSpeed\": 0.7,\n \"ttsTemperature\": 0.5,\n \"ttsVolume\": 0.5,\n \"aiStartsSpeakingPlan\": 0.5,\n \"aiStopsSpeakingPlan\": 0.5,\n \"ivrHangup\": true,\n \"agentTimezone\": \"Asia/Kolkata\",\n \"autoVolumeNormalization\": true,\n \"backgroundNoiseFilter\": true,\n \"echoCancellation\": true,\n \"enablePostConversationAnalysis\": true,\n \"postConversationAnalysisLlmModel\": \"gpt-5.6-luna\",\n \"postConversationAnalysis\": [\n {\n \"insightName\": \"conversation summary\",\n \"insightInstructions\": \"<string>\",\n \"dataType\": \"string\",\n \"options\": [\n \"Interested\",\n \"Not Interested\",\n \"Follow Up Later\"\n ]\n }\n ],\n \"webhooks\": [\n {\n \"name\": \"Call Events - Production\",\n \"url\": \"https://yourapp.com/webhooks/sigmamind\",\n \"events\": [\n \"conversation_started\",\n \"conversation_ended\"\n ]\n }\n ]\n },\n \"nodes\": [\n {\n \"nodeType\": \"message\",\n \"edge\": {\n \"nextNodeId\": \"node_wcCIoGrJbw9AlXVk\",\n \"nextNodeName\": \"get_customer_detail\"\n },\n \"parameters\": {\n \"instructionsType\": \"static\",\n \"instructions\": \"Hello! How can I help you today?\",\n \"waitTillCompletion\": false\n },\n \"nodeName\": \"get_customer_detail\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"agentId": "SPIlVscbB0kkXBvZ",
"agentName": "Auralis",
"startNodeName": "Welcome",
"startNodeId": "node_01HXYZ123",
"agentSettings": {
"language": "en_US",
"aiStartsConversation": true,
"backgroundSound": "keyboard_typing",
"globalPrompt": "You are a professional virtual assistant. Always respond politely and keep answers concise.",
"remindersIntervalDuration": 15,
"remindersLimit": 3,
"endCallOnSilenceDuration": 30,
"maxCallDuration": 40,
"llmModel": "gpt-4o-mini",
"llmTemperature": 0.5,
"llmTopP": 0.5,
"llmTopK": 40,
"voiceId": "elevenlabs_SGbOfpm28edC83pZ9iGb",
"voiceModelId": "eleven_turbo_v2_5",
"ttsSpeed": 0.7,
"ttsTemperature": 0.5,
"ttsVolume": 0.5,
"aiStartsSpeakingPlan": 0.5,
"aiStopsSpeakingPlan": 0.5,
"ivrHangup": true,
"agentTimezone": "Asia/Kolkata",
"autoVolumeNormalization": true,
"backgroundNoiseFilter": true,
"echoCancellation": true,
"enablePostConversationAnalysis": true,
"postConversationAnalysisLlmModel": "gpt-4o-mini",
"postConversationAnalysis": [
{
"insightName": "conversation summary",
"insightInstructions": "<string>",
"dataType": "string",
"options": [
"Interested",
"Not Interested",
"Follow Up Later"
]
}
],
"webhooks": [
{
"webhookId": "wh_BUbkx3PsbzQm5V10",
"name": "My Webhook",
"url": "https://example.com/webhook",
"secret": "mK9vXq2pL8nR5tY1wA3sD6fH0jC4bE7u",
"events": [
"<string>"
]
}
]
},
"nodes": [
{
"nodeId": "node_wcCIoGrJbw9AlXVk",
"nodeName": "get_customer_detail",
"nodeType": "message",
"edge": {
"nextNodeId": "node_wcCIoGrJbw9AlXVk",
"nextNodeName": "get_customer_detail"
},
"parameters": {
"instructionsType": "static",
"instructions": "Hello! How can I help you today?",
"waitTillCompletion": false
}
}
]
}{
"error": "Bad Request",
"message": "Invalid request parameters",
"path": "/v1/conversational-agents",
"status": 400,
"timestamp": "2026-09-28T16:34:43.436Z"
}{
"error": "Unauthorized",
"message": "X-API-Key is missing or invalid",
"path": "/v1/conversational-agents",
"status": 401,
"timestamp": "2026-09-28T16:34:43.436Z"
}{
"error": "Forbidden",
"message": "Access denied for this resource",
"path": "/v1/conversational-agents",
"status": 403,
"timestamp": "2026-09-28T16:34:43.436Z"
}{
"error": "Not Found",
"message": "The requested resource was not found",
"path": "/v1/conversational-agents",
"status": 404,
"timestamp": "2026-09-28T16:34:43.436Z"
}{
"error": "Internal Server Error",
"message": "Unexpected server error",
"path": "/v1/conversational-agents",
"status": 500,
"timestamp": "2026-09-28T16:34:43.436Z"
}Authorizations
Body
application/json
Response
Created